Description

Overhauls NPC load-outs for less NATO weapons to create a more rugged, take what you can get experience. Adds new weapons, increases weapon damages and much more. The central concept of this add-on is the overhaul of NPC load-outs, to be what I think would be slightly more plausible. I wanted a more rugged, take what you can get approach. Meaning less of the ultra-modern assault rifles and more of what would be the most accessible. More older AK variants, more Mosin Nagants, Sks and AR15 etc. for Loners and Bandits.

Preview
4 A.M. In Pripyat v0.93 [1.4.22]
Comments  (0 - 50 of 129)
NanoTheBandit
NanoTheBandit

I honestly think rather than the famas for the loners and bandits, it should be the AR-15. Because im pretty sure that the Famas would be pretty pricey to get your hands on it compared to the common ar-15.

Reply Good karma Bad karma+7 votes
massicio Author
massicio

Good idea! For the next update I plan on going through and fleshing out the NPC's weapons some more,

Reply Good karma+2 votes
Guest
Guest

Finally! I've been waiting forever! Thanks! Great Work Man!

Reply Good karma Bad karma+2 votes
Guest
Guest

You left out all of the Arsenal Overhaul ammunition/weapons from the Trader files in your Outfit Addons patch files.. ;\

Reply Good karma Bad karma+1 vote
ZekeDerevenko
ZekeDerevenko

(Realized I wasnt logged in)
You left out all of the Arsenal Overhaul ammunition/weapons from the Trader files in your Outfit Addons patch files.. ;\

Ah, i was looking at something else, i now realize what the valid_item... file is for.. sorry I was going through and trying to add my own items that i made for myself in.

Reply Good karma Bad karma+2 votes
massicio Author
massicio

So they're there?

Reply Good karma+2 votes
ZekeDerevenko
ZekeDerevenko

Yea all the AO items are there. Thanks

Reply Good karma Bad karma+2 votes
Khold
Khold

I hope, in the next 4 A.M, Nimble and an another guy will be special weapon traders again, like in the earlier AO versions.

Reply Good karma Bad karma+2 votes
Guest
Guest

Would it be possible to add more weapons, like knifes or something? I would love to see more melee options like STCoP has, or more weapons in general. And i also would like to see Nimble become a weapons trader.

Reply Good karma Bad karma+2 votes
Khold
Khold

I asked the same about Nimble :)

Reply Good karma Bad karma+2 votes
massicio Author
massicio

I intend to add more with later updates. And ill look into the Nimble trade thing!

Reply Good karma+2 votes
Guest
Guest

how often do update? last time seem took forever

Reply Good karma Bad karma+2 votes
EliteDetaTeam
EliteDetaTeam

LOL, what an acronym. I thought this makes the time freeze at 4 A.M.

Reply Good karma Bad karma+2 votes
zagy20
zagy20

[error]Expression : <no expression>
[error]Function : CInifile::r_section
[error]File : Xr_ini.cpp
[error]Line : 520
[error]Description : fatal error
[error]Arguments : Can't open section 'up_gr_firstab_dolg_exo_outfit'. Please attach [*.ini_log] file to your bug report

This is what happens if it put it with Outfit addon. Even with the compatibility patch for Outfit addon.

Reply Good karma Bad karma+2 votes
zagy20
zagy20

p.s.when i remove your exoskeleton.ltx and put Outfit`s back, it doesn`t crash from that error anymore

Reply Good karma Bad karma+2 votes
zagy20
zagy20

nope didnt solve anything.

Reply Good karma Bad karma+2 votes
massicio Author
massicio

Removing any outfit files from my mod and replacing it with the original Outfit add-on file should fix any issues.

Reply Good karma+2 votes
zagy20
zagy20

Tried putting only your mod without the Outfit patch but didnt work, crash at begininng.

Reply Good karma Bad karma+2 votes
Draknirv
Draknirv

So, if I'm understanding this correctly, this submod will, ontop of other quality of life changes, make NPCs significantly less bullet-spongey/giving weapons more damage?

Reply Good karma Bad karma+2 votes
massicio Author
massicio

yes

Reply Good karma+2 votes
Draknirv
Draknirv

Some parts of your mod are causing some conflicts with the DoctorX quests mod making it CTD on area load-ins or trader interactions seemingly at random, but I really prefer enemies not absorbing my bullets. Can you help tell me which parts of the mod files are the "Enemy survivability mod for AO"? because I can't find that particular smaller mod anywhere at all for some weird reason? Please and thankyou.

Reply Good karma Bad karma+2 votes
massicio Author
massicio

I believe I fixed these random crashes with this most recent update. I found a few script errors and typos in my previous patch that were probably causing them.

Reply Good karma+2 votes
massicio Author
massicio

** UPDATE **

Loner, Bandit, Freedom and Merc: increased prevalence of the AR15, the idea was given by a commenter and I really liked it. Realistically you're not going to have tons of ultra-modern or military issued assault rifles (i.e. HK416, M4a1, AK100's) The civilian AR15 would be a much more likely weapon. I wanted to create a more rugged zone. Less new weapons, less uniformity etc.

Freedom, diversified western weapons. In cases where there were duplicates, I would replace with alternates that were previously less common (i.e. AR15, STG58 etc) also slightly increased the prevalence of eastern weapons. In cases of duplicate MP-5's in load-out I would often replace one with ak74u, for example. I try to retain the faction trends (i.e. Duty = western bloc weapons, Freedom = western) but I also try to reduce the rigidity of such and try to add in more weapons that would be pretty widespread throughout the zone. So I threw in occasional SKS, Mosin Nagant, Older AK variants etc, though in marginal quantities.

Loner + Bandit, decreased prevalence of modern ak variants. Slight increase in l85, sks, mosin nagant.

Merc, increased prevalence of l85 and AR15 (slightly)

I also tried to decrease redundancy across the board. Often times, a load-out will have duplicates of a certain weapon with different sights. Below is an example of the changes I would make to a load-out to increase the diversity.

Example

ORIGINAL

[spawn_loadout] \n
wpn_scar-h_acog = 1 \n
wpn_scar-h = 1 \n
wpn_protecta = 1 \n
wpn_m16_acog = 1 \n
wpn_m16 = 1 \n
wpn_ump40 = 1 \n
wpn_ump40_eot = 1 \n
wpn_g3a3_acog
wpn_g3a3

NEW

[spawn_loadout] \n
wpn_scar-h_acog = 1 \n
wpn_stg58 = 1 \n
wpn_protecta = 1 \n
wpn_m16_acog = 1 \n
wpn_AR15 = 1 \n
wpn_ump40 = 1 \n
wpn_mp5 = 1 \n
wpn_g3a3_acog
wpn_g3 (different skin than g3a3)

In the case of the Scar, the STG58 is also .308 caliber and otherwise less prevalent in the game, it also is less modern/state-of-the-art and follows suit with the aim of the mod. In the case of the M16, the AR is an obvious substitute, so as to not have 2 NPC's with the same gun. In the case of the UMP, the MP5 is simply an alternate SMG, again to avoid 2 NPC's having the same gun. In the case of the G3a3, the G3 is simply the older looking variant and an easy way to increase visual diversity. In the same case, the STG58 could be used a replacement as well.

Reply Good karma+3 votes
massicio Author
massicio

I've got a nice little surprise for you guys tomorrow. I'm adding a new weapon (assault rifle) that isn't in STCOP or AO3. and has never been in CoC as far as I know. But keep an eye out for an update tomorrow.

Reply Good karma+2 votes
massicio Author
massicio

UPDATED

Added the XM8! Its only carried by a few monolith and mercs. Sold by monolith, merc and nimble. Also I tried to revert Nimble back to trading the way he used to but it didnt work. Ill keep working on it for a future update.

I may try adding a couple more guns over the next week or so.

Please let me know if you're getting crashes, When adding a new weapon theres a larger margin of error over simply editing the .ltx so I may have overlooked something

Reply Good karma+3 votes
NanoTheBandit
NanoTheBandit

Tasty. Im guessing the XM8 is going to be a really pricey weapon to get your hands on?

Also, what do you think of the original Uzi as weapon to add?
(aka this thing: Vignette3.wikia.nocookie.net )

Reply Good karma Bad karma+1 vote
massicio Author
massicio

Yeah the XM8 is by far the most expensive gun. Realistically its obtainable but its going to be difficult and expensive to do so, hence the price.

Reply Good karma+1 vote
massicio Author
massicio

New Update adds STG-44. Happy holidays!

Reply Good karma+1 vote
illprospect89
illprospect89

Is there away to reverse traders buy weapons at 40% and change it back to thee default 70%?

Reply Good karma Bad karma+1 vote
illprospect89
illprospect89

Also I am facing a bug, the Famas in my inventory appears as military beret anyway to correct that?

Reply Good karma Bad karma+2 votes
massicio Author
massicio

Ah I think I copied the outfit add on inventory, and yeah gamedata > comfigs> misc > trade
Every trader has their own it's one of the first values

Reply Good karma+2 votes
illprospect89
illprospect89

Great thanks one final questions, in terms of load order which is better

AO >>> OA >>> OA Patch >>> 4AM >>> 4AM Patch?

or

AO >>> 4AM >>> OA >>> OA Patch >>> 4AM Patch?

also heres an interesting note, 1.4.20 version seemed to be more stable, when I originally modded it all 3 mods worked no problems, but with 1.4.22 after adding AO, OA & 4AM when I start a new game it cashes (this is all done on a fresh install as well that has been patched to 1.4.22)

Your input would be appreciated.

Reply Good karma Bad karma+1 vote
illprospect89
illprospect89

Just a heads up I did several attempts of modding and 1.4.20 works and is extremely stable.

on 1.4.22 The crash seems to be caused by one of 2 things either because outfit addon, is yet to be updated to the lastest patch or there is something wrong with 4AM compatibility with OA with the lastest version you released.

Either way your addon is spot on and really delivers. Happy Holidays and Merry X-Mas

Reply Good karma Bad karma+1 vote
illprospect89
illprospect89

Either way your addon is spot on and really delivers. Happy Holidays and Merry X-Mas

Reply Good karma Bad karma+1 vote
massicio Author
massicio

AO > OA > 4AM > 4AM OA patch.

Not sure about the crashes could you post the crash log? I'll fix it today (as well as the UI famas bug)

Reply Good karma+1 vote
illprospect89
illprospect89

Hey it seems is the same error Phant1337 posted, Ill post it anyways incase it maybe useful. I will download the new file you uploaded and I will test it out as well. I will provide feedback soon.

FATAL ERROR

[error]Expression : wave&&wave;->length()
[error]Function : CSoundRender_Source::LoadWave
[error]File : SoundRender_Source_loader.cpp
[error]Line : 65
[error]Description : Can't open wave file:
[error]Arguments : e:\games\s.t.a.l.k.e.r. call of pripyat\coc install\s.t.a.l.k.e.r. - call of chernobyl base\gamedata\sounds\weapons\generic\rifle_historic_empty.ogg

Reply Good karma Bad karma+1 vote
illprospect89
illprospect89

Everything is running smooth and working just fine. Thanks.

Reply Good karma Bad karma+1 vote
Red_Katana
Red_Katana

I know this is an old post, but I'm having the same issue with the FAMAS appearing as a beret.. Was the solution posted?

Reply Good karma Bad karma+1 vote
Phant1337
Phant1337

I'm afraid using this mod plus CoC 1.4.22 I am getting a crash upon loading into a game (even loading into a new game). I have narrowed it down to this mod causing the crash by reinstalling the game and only installing this mod on top of the 1.4.22 patch and Arsenal Overhall 3.1. Here is the 'fatal error' from the crash log. Do you know how I could fix this?

FATAL ERROR

[error]Expression : wave&&wave;->length()
[error]Function : CSoundRender_Source::LoadWave
[error]File : SoundRender_Source_loader.cpp
[error]Line : 65
[error]Description : Can't open wave file:
[error]Arguments : e:\games\steam\steamapps\common\s.t.a.l.k.e.r. - call of chernobyl\gamedata\sounds\weapons\generic\rifle_historic_empty.ogg

Reply Good karma Bad karma+1 vote
Phant1337
Phant1337

Sorry I meant to say that I installed it on top of 1.4.22 AND Arsenal Overhall 3.1

Reply Good karma Bad karma+1 vote
massicio Author
massicio

fixed

Reply Good karma+2 votes
Phant1337
Phant1337

Yep whatever you did has done the trick. Cheers

Reply Good karma Bad karma+3 votes
illprospect89
illprospect89

Hey Massicio,

I was speaking with Nuor the guy currently handling Smurth's Dynamic Hud, he informed me of the following:

"4 A.M is not currently supported. I do not have it installed and given the number of files it changes I wouldn't be surprised if there are conflicts. For now I'd say use it at your own risk...

I will be simplifying the files structure of smurths on the next patch; as much of the current structure was made unnecessary with moving of C-4 to options. I'm hoping someone with the skills and desire to tinker with these kinds of compatibility changes will take over for Thales in his absence a sit isn't really my cup of tea ;)."

By any chance is there a compatibility patch in the works?

Both mods are great and if they would work together that would make COC so much more, with your mods technical aspects and improvements added with immersion of the dynamic hud it would be awesome.

Reply Good karma Bad karma+1 vote
massicio Author
massicio

Ill take a look at it and see what I can do.

Reply Good karma+1 vote
massicio Author
massicio

I just checked it out and it should be compatible. If you have AO3+OA then apply the Smurth's compatibility patch and then apply the 4AM compatibility patch for OA. Does Smurth's add anything new to traders? because 4AM will overwrite the trader files. If so, I can work on a compatibility patch for the next update. Otherwise it should work, so try it out and if you get crashes send me the crash logs and ill make a patch.

Reply Good karma+1 vote
illprospect89
illprospect89

I will test it right now.

but you should know 1 major issue occurs from SDH mod, Nimble's trade store disappears and only offers to sell a pair of binoculars.

I will attempt to mod a new install like this

COC - AO - OA - SDH - 4AM - 4AM compatibility

I wont add SDH Patch because I read one his comments which said due to his current file structure and updates the compatibility is not necessary because it doesnt add anything new or fix anything.

Reply Good karma Bad karma+1 vote
illprospect89
illprospect89

The Game crashes

FATAL ERROR

[error]Expression : pm->m_animations.size()
[error]Function : player_hud_motion_container::load
[error]File : player_hud.cpp
[error]Line : 92
[error]Description : motion not found [aksu_bore]

I will try to add SDH patch and see if I get a different result

Reply Good karma Bad karma+1 vote
illprospect89
illprospect89

So I went on the same load order added SDH patch and then overwritten it with 4AM+4AM patch and the game launched.

But as I expected the economy changed:

1. Prices for weapons, armors, scopes changed to vanilla AO
2. Traders Buying broken weapons start @ changed to default 70%
3. Nimble is broken as mentioned before only offers to sell a pair of binoculars.
4. This one I am not sure of but I think it also affected weapon distribution among stalkers. Loners had guns they shouldn't have (almost all of them with Modern gear)

My original thoughts were the two work well together but the economy doesn't. Your mods trader values should be the one reflecting in the game's not SDH,

Reply Good karma Bad karma+1 vote
DYDEAD
DYDEAD

I use the same mods as you and I do have the correct economy values and weapons for roaming squads. It should work if you install 4AM and the compat patch last.

Reply Good karma Bad karma+2 votes
illprospect89
illprospect89

I did but it didnt change anything for me.

Reply Good karma Bad karma+1 vote
illprospect89
illprospect89

Also I saw your issue I believe I know what is the problem your using autumn winds mod which requires not Smurfs addon but, this
Moddb.com

try a new install and have the load order like this

AO > OA > 4AM > 4AM OA patch. > Autumnal Winds > dynamic Hud > DRX Questlines.

Reply Good karma Bad karma+1 vote
DYDEAD
DYDEAD

I'd rather not use that Dynamic hud mod, it's very different from Smurths addon. Is there a reason your mention the other hud mod? Autumnal Winds is only a texture pack isn't it?

Or is a problem with the misery mask overlay option file?

Trying a reinstall now. Hope your tip works, I'll try installing it using your order.

Also, if you want to fix the economy values, just drag the files from 4am into the current CoC folder (gamedata/config/misc/trade).

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.